import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.*;

public class MainMenuController implements ActionListener {
    private MainMenuView view;
    private MainMenuModel model;

    public MainMenuController(MainMenuModel model, MainMenuView view) {
        this.view = view;
        this.model = model;
        this.view.getLocalButton().addActionListener(this);
        this.view.getMultiButton().addActionListener(this);
        this.view.getSoundButton().addActionListener(this);
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        if (e.getSource() == view.getMultiButton()) {
            view.closeWindow();
            MultiMenuModel model = new MultiMenuModel();
            MultiMenuView view = new MultiMenuView();
            MultiMenuController controller2 = new MultiMenuController(model, view);
        } else if (e.getSource() == view.getMultiButton()) {
            model.setGameMode("Multiplayer");
            JOptionPane.showMessageDialog(view.getFrame(), "Multiplayer game selected.");
        }else if (e.getSource() == view.getSoundButton()) {
            view.toggleMute();
        }
    }
}